globals
[
  ;; definition of the payoff values per game
  R_game1
  S_game1
  T_game1
  P_game1
  R_game2
  S_game2
  T_game2
  P_game2
  R_game3
  S_game3
  T_game3
  P_game3
  R_game4
  S_game4
  T_game4
  P_game4  
  ;;number of strategies per game
  nrCC_game1
  nrDD_game1
  nrDC_game1
  nrCD_game1
  nrCC_game2
  nrDD_game2
  nrDC_game2
  nrCD_game2
  nrCC_game3
  nrDD_game3
  nrDC_game3
  nrCD_game3
  nrCC_game4
  nrDD_game4
  nrDC_game4
  nrCD_game4
  nrplaygames
  ;; payoff per strategy per game
  payoff_cooperation_game1
  payoff_defection_game1
  payoff_cooperation_defection_game1
  payoff_defection_cooperation_game1
  payoff_cooperation_game2
  payoff_defection_game2
  payoff_cooperation_defection_game2
  payoff_defection_cooperation_game2
  payoff_cooperation_game3
  payoff_defection_game3
  payoff_cooperation_defection_game3
  payoff_defection_cooperation_game3
  payoff_cooperation_game4
  payoff_defection_game4
  payoff_cooperation_defection_game4
  payoff_defection_cooperation_game4
  nrlinks
  total_payoff
  ;; payoff per turtle per game
  payoff_water_company
  payoff_water_company_game1
  payoff_water_company_game2
  payoff_water_company_game4
  payoff_users
  payoff_users_game1
  payoff_goverment
  payoff_goverment_game3
  Payoff_regulator
  payoff_regulator_game3
  payoff_regulator_game2
  payoff_municipality
  payoff_municipality_game4
  payoff_game1
  payoff_game2
  payoff_game3
  payoff_game4
 ]


turtles-own;; a turtle can be principal or agent depending on the game 
[
  EUC_asAgent_game1
  EUC_asPrincipal_game1
  EUD_asAgent_game1
  EUD_asPrincipal_game1
  EUC_asAgent_game2
  EUC_asPrincipal_game2
  EUD_asAgent_game2
  EUD_asPrincipal_game2
  EUC_asAgent_game3
  EUC_asPrincipal_game3
  EUD_asAgent_game3
  EUD_asPrincipal_game3
  EUC_asAgent_game4
  EUC_asPrincipal_game4
  EUD_asAgent_game4
  EUD_asPrincipal_game4
  EPC_game1
  EPC_game2
  EPC_game3
  EPC_game4
  past_payoff
  decision_asAgent_game1
  decision_asPrincipal_game1
  decision_asAgent_game2
  decision_asPrincipal_game2
  decision_asAgent_game3
  decision_asPrincipal_game3
  decision_asAgent_game4
  decision_asPrincipal_game4
  payoff_asAgent_game1
  payoff_asPrincipal_game1
  payoff_asAgent_game2
  payoff_asPrincipal_game2
  payoff_asAgent_game3
  payoff_asPrincipal_game3
  payoff_asAgent_game4
  payoff_asPrincipal_game4
  learning_capacity
  ]


to setup
  ca
  ;; we give values to the payoff values according to accountability, participation and social cost per game
  set T_game1 1.5 - accountability_game1
  set R_game1 1
  set P_game1 social_cost_game1
  set S_game1 (participation_game1 / 2) - social_cost_game1
  set T_game2 1.5 - accountability_game2
  set R_game2 1
  set P_game2 social_cost_game2
  set S_game2 (participation_game2 / 2) - social_cost_game2
  set T_game3 1.5 - accountability_game3
  set R_game3 1
  set P_game3 social_cost_game3
  set S_game3 (participation_game3 / 2) - social_cost_game3
  set T_game4 1.5 - accountability_game4
  set R_game4 1
  set P_game4 social_cost_game4
  set S_game4 (participation_game4 / 2) - social_cost_game4  
  set nrCC_game1 0
  set nrDD_game1 0
  set nrDC_game1 0
  set nrCD_game1 0
  set nrCC_game2 0
  set nrDD_game2 0
  set nrDC_game2 0
  set nrCD_game2 0
  set nrCC_game3 0
  set nrDD_game3 0
  set nrDC_game3 0
  set nrCD_game3 0
  set nrCC_game4 0
  set nrDD_game4 0
  set nrDC_game4 0
  set nrCD_game4 0
  set payoff_cooperation_game1 0
  set payoff_defection_game1 0
  set payoff_cooperation_defection_game1 0
  set payoff_defection_cooperation_game1 0
  set payoff_cooperation_game2 0
  set payoff_defection_game2 0
  set payoff_cooperation_defection_game2 0
  set payoff_defection_cooperation_game2 0
  set payoff_cooperation_game3 0
  set payoff_defection_game3 0
  set payoff_cooperation_defection_game3 0
  set payoff_defection_cooperation_game3 0
  set payoff_cooperation_game4 0
  set payoff_defection_game4 0
  set payoff_cooperation_defection_game4 0
  set payoff_defection_cooperation_game4 0  
  set total_payoff 0
  set payoff_water_company 0
  set payoff_water_company_game1 0
  set payoff_water_company_game2 0
  set payoff_water_company_game4 0
  set payoff_users 0 
  set payoff_users_game1 0
  set payoff_goverment 0
  set payoff_goverment_game3 0
  set payoff_regulator 0
  set payoff_regulator_game3 0
  set payoff_regulator_game2 0
  set payoff_municipality 0
  set payoff_municipality_game4 0
  set payoff_game1 0
  set payoff_game2 0
  set payoff_game3 0
  set payoff_game4 0
  set nrplaygames 0
  set nrlinks 0
  create-turtles 5 
  ask turtle 0 [   
    setxy 1 0
    set shape "person"
    set color blue
    set label "Provider"
    set size 0.2
    set payoff_asAgent_game1 0
    set payoff_asPrincipal_game2 0
    set payoff_asPrincipal_game4 0
    set EUC_asAgent_game1 0
    set EUD_asAgent_game1 0
    set EUC_asPrincipal_game2 0
    set EUD_asprincipal_game2 0
    set EUC_asPrincipal_game4 0
    set EUD_asprincipal_game4 0
    set learning_capacity learning_capacity_water_company
    set decision_asAgent_game1 initial_decision_asAgent_water_company_game1
    set decision_asPrincipal_game2 initial_decision_asPrincipal_water_company_game2
    set decision_asPrincipal_game4 initial_decision_asPrincipal_water_company_game4    
    ]
  ask turtle 1 [
    setxy 1 1
    set shape "person"
    set color red
    set label "User"
    set size 0.2
    set payoff_asPrincipal_game1 0
    set EUC_asPrincipal_game1 0
    set EUD_asPrincipal_game1 0  
    set learning_capacity learning_capacity_users
    set decision_asPrincipal_game1 initial_decision_asPrincipal_users_game1
    ] 
  ask turtle 2 [
    setxy 0 0
    set shape "person"
    set color yellow
    set label "Regulator"
    set size 0.2
    set payoff_asAgent_game2 0
    set payoff_asAgent_game3 0
    set EUC_asAgent_game2 0
    set EUD_asAgent_game2 0  
    set EUC_asAgent_game3 0
    set EUD_asAgent_game3 0      
    set learning_capacity learning_capacity_regulator
    set decision_asAgent_game2 initial_decision_asAgent_regulator_game2
    set decision_asPrincipal_game3 initial_decision_asPrincipal_regulator_game3  
    ] 
  ask turtle 3 [
    setxy 0 1
    set shape "person"
    set color green
    set label "Ministry of Water"
    set size 0.2
    set payoff_asPrincipal_game3 0
    set EUC_asPrincipal_game3 0
    set EUD_asPrincipal_game3 0
    set learning_capacity learning_capacity_goverment
    set decision_asAgent_game3 initial_decision_asAgent_goverment_game3
    ]
  ask turtle 4 [
    setxy 0.5 0.5
    set shape "person"
    set color orange
    set label "Municipality"
    set size 0.2
    set payoff_asAgent_game4 0
    set EUC_asAgent_game4 0
    set EUD_asAgent_game4 0
    set learning_capacity learning_capacity_municipality
    set decision_asAgent_game4 initial_decision_asAgent_municipality_game4
    ] 
  ;; we set up initial values of EPC according to the transparency of the game
  ask turtles[
    set past_payoff 0
    set EPC_game1 transparency_game1
    set EPC_game2 transparency_game2
    set EPC_game3 transparency_game3
    set EPC_game4 transparency_game4
    ]
  ;; we create links between the turtles  
  ask turtle 1 [create-link-with turtle 0]
  ask link 0 1 [set label ""]
  ask turtle 0 [create-link-with turtle 2]
  ask link 2 0 [set label ""]
  ask turtle 2 [create-link-with turtle 3]
  ask link 3 2 [set label ""]
  ask turtle 0 [create-link-with turtle 4]
  ask link 4 0 [set label ""]
  set nrlinks count links 
end 
 

to go 
  agent_decision_game1
  principal_decision_game1
  agent_decision_game2
  principal_decision_game2
  agent_decision_game3
  principal_decision_game3
  agent_decision_game4
  principal_decision_game4
  get_payoff
  update_probability
  plotting
  tick 
  if ticks > 12 [stop]; 12 months 
end


to agent_decision_game1 
    if ticks > 0 [ ;not for first time-step as in first time step agent should follow initial_decision_water_company
    ask turtle 0 [
      if( payoff_asAgent_game1 < avg_neighbors_payoff_turtle_0)[ ; if not better off than neighbours make deliberate decision: maximize utility based on expected behaviour of principal
        set EUC_asAgent_game1 EPC_game1 * R_game1 + (1 - EPC_game1) * S_game1  
        set EUD_asAgent_game1 EPC_game1 * T_game1 + (1 - EPC_game1) * P_game1
       ifelse (EUC_asAgent_game1 > EUD_asAgent_game1) 
       [set decision_asAgent_game1 1] [set decision_asAgent_game1 0]]; 
      ; else: do nothing (i.e. repeat what has been done in last round)
    ]]
end


to principal_decision_game1
 if ticks > 0 [ ;not for first time-step as in first time step principal should follow initial_decision_user
    ask turtle 1 [
      ;if( payoff_asAgent + payoff_asPrincipal <= avg_neighbors_payoff)[ ; if not better off than neighbours make deliberate decision: maximize utility based on agent's behaviour
        if [decision_asAgent_game1] of turtle 0 = 1 [set EUC_asPrincipal_game1 R_game1 set EUD_asPrincipal_game1 T_game1]; 
        ifelse EUC_asPrincipal_game1 > EUD_asPrincipal_game1 [set decision_asPrincipal_game1 1] [set decision_asPrincipal_game1 0]      
        if [decision_asAgent_game1] of turtle 0 = 0 [set EUC_asPrincipal_game1 S_game1 set EUD_asPrincipal_game1 P_game1]; change T for S
        ifelse EUC_asPrincipal_game1 > EUD_asPrincipal_game1 [set decision_asPrincipal_game1 1] [set decision_asPrincipal_game1 0]]
      ; else: do nothing (i.e. repeat what has been done in last round)
    ]
end


to agent_decision_game2  
    if ticks > 0 [ ;not for first time-step as in first time step agent should follow initial_decision_regulator
    ask turtle 2 [
      if( payoff_asAgent_game2 < avg_neighbors_payoff_turtle_2)[ ; if not better off than neighbours make deliberate decision: maximize utility based on expected behaviour of principal
        set EUC_asAgent_game2 EPC_game2 * R_game2 + (1 - EPC_game2) * S_game2  
        set EUD_asAgent_game2 EPC_game2 * T_game2 + (1 - EPC_game2) * P_game2
       ifelse (EUC_asAgent_game2 > EUD_asAgent_game2) 
       [set decision_asAgent_game2 1] [set decision_asAgent_game2 0]]; 
      ; else: do nothing (i.e. repeat what has been done in last round)
    ]]
end


to principal_decision_game2
 if ticks > 0 [ ;not for first time-step as in first time step principal should follow initial_water_company
    ask turtle 0 [
      ;if( payoff_asAgent + payoff_asPrincipal <= avg_neighbors_payoff)[ ; if not better off than neighbours make deliberate decision: maximize utility based on agent's behaviour
        if [decision_asAgent_game2] of turtle 2 = 1 [set EUC_asPrincipal_game2 R_game2 set EUD_asPrincipal_game2 T_game2]; 
        ifelse EUC_asPrincipal_game2 > EUD_asPrincipal_game2 [set decision_asPrincipal_game2 1] [set decision_asPrincipal_game2 0]      
        if [decision_asAgent_game2] of turtle 2 = 0 [set EUC_asPrincipal_game2 S_game2 set EUD_asPrincipal_game2 P_game2]; change T for S
        ifelse EUC_asPrincipal_game2 > EUD_asPrincipal_game2 [set decision_asPrincipal_game2 1] [set decision_asPrincipal_game2 0]]
      ; else: do nothing (i.e. repeat what has been done in last round)
    ] 
end


to agent_decision_game3   
    if ticks > 0 [ ;not for first time-step as in first time step agent should follow initial_decision_regulator
    ask turtle 2 [
      if( payoff_asAgent_game3 < avg_neighbors_payoff_turtle_2)[ ; if not better off than neighbours make deliberate decision: maximize utility based on expected behaviour of principal
        set EUC_asAgent_game3 EPC_game2 * R_game3 + (1 - EPC_game3) * S_game3  
        set EUD_asAgent_game3 EPC_game2 * T_game3 + (1 - EPC_game3) * P_game3
       ifelse (EUC_asAgent_game3 > EUD_asAgent_game3) 
       [set decision_asAgent_game3 1] [set decision_asAgent_game3 0]]; 
      ; else: do nothing (i.e. repeat what has been done in last round)
    ]]
end


to principal_decision_game3
 if ticks > 0 [ ;not for first time-step as in first time step principal should follow initial_goverment  
    ask turtle 3 [
      ;if( payoff_asAgent + payoff_asPrincipal <= avg_neighbors_payoff)[ ; if not better off than neighbours make deliberate decision: maximize utility based on agent's behaviour
        if [decision_asAgent_game3] of turtle 2 = 1 [set EUC_asPrincipal_game3 R_game3 set EUD_asPrincipal_game3 T_game3]; 
        ifelse EUC_asPrincipal_game3 > EUD_asPrincipal_game3 [set decision_asPrincipal_game3 1] [set decision_asPrincipal_game3 0] 
        if [decision_asAgent_game3] of turtle 2 = 0 [set EUC_asPrincipal_game3 S_game3 set EUD_asPrincipal_game3 P_game3]; change T for S
        ifelse EUC_asPrincipal_game3 > EUD_asPrincipal_game3 [set decision_asPrincipal_game3 1] [set decision_asPrincipal_game3 0]]
      ; else: do nothing (i.e. repeat what has been done in last round)
    ]
end


to agent_decision_game4    
    if ticks > 0 [ ;not for first time-step as in first time step agent should follow initial_decision_municipality
    ask turtle 4 [
      if( payoff_asAgent_game4 < avg_neighbors_payoff_turtle_4)[ ; if not better off than neighbours make deliberate decision: maximize utility based on expected behaviour of principal
        set EUC_asAgent_game4 EPC_game4 * R_game4 + (1 - EPC_game4) * S_game4  
        set EUD_asAgent_game4 EPC_game4 * T_game4 + (1 - EPC_game4) * P_game4
       ifelse (EUC_asAgent_game4 > EUD_asAgent_game4) 
       [set decision_asAgent_game4 1] [set decision_asAgent_game4 0]]; 
      ; else: do nothing (i.e. repeat what has been done in last round)
    ]]
end


to principal_decision_game4
 if ticks > 0 [ ;not for first time-step as in first time step principal should follow initial_decision_water_company 
    ask turtle 0 [
      ;if( payoff_asAgent + payoff_asPrincipal <= avg_neighbors_payoff)[ ; if not better off than neighbours make deliberate decision: maximize utility based on agent's behaviour
        if [decision_asAgent_game4] of turtle 4 = 1 [set EUC_asPrincipal_game4 R_game4 set EUD_asPrincipal_game4 T_game4]; 
        ifelse EUC_asPrincipal_game4 > EUD_asPrincipal_game4 [set decision_asPrincipal_game4 1] [set decision_asPrincipal_game4 0]     
        if [decision_asAgent_game4] of turtle 4 = 0 [set EUC_asPrincipal_game4 S_game4 set EUD_asPrincipal_game4 P_game4]; change T for S
        ifelse EUC_asPrincipal_game4 > EUD_asPrincipal_game4 [set decision_asPrincipal_game4 1] [set decision_asPrincipal_game4 0]]
      ; else: do nothing (i.e. repeat what has been done in last round)
    ]
end

  
to get_payoff  
  
  ;for game1 water company (turtle 0) as Agent - users (turtle 1) as Principals
  
  if [decision_asAgent_game1] of turtle 0 = 1 and [decision_asPrincipal_game1] of turtle 1 = 1   [ 
    ask turtle 0 [set payoff_asAgent_game1 R_game1]
    ask turtle 1 [set payoff_asPrincipal_game1 R_game1] 
    set nrCC_game1 (nrCC_game1 + 1)
    set payoff_cooperation_game1 payoff_cooperation_game1 + R_game1 + R_game1]
  if [decision_asAgent_game1] of turtle 0 = 0 and [decision_asPrincipal_game1] of turtle 1 = 1   [
    ask turtle 0 [set payoff_asAgent_game1 T_game1]
    ask turtle 1 [set payoff_asPrincipal_game1 S_game1]
    set nrDC_game1 (nrDC_game1 + 1)
    set payoff_defection_cooperation_game1 payoff_defection_cooperation_game1 + S_game1 + T_game1]
  if [decision_asAgent_game1] of turtle 0 = 1 and [decision_asPrincipal_game1] of turtle 1 = 0   [
    ask turtle 0 [set payoff_asAgent_game1 S_game1]
    ask turtle 1 [set payoff_asPrincipal_game1 T_game1]
    set nrCD_game1 (nrCD_game1 + 1)
    set payoff_cooperation_defection_game1 payoff_cooperation_defection_game1 + T_game1 + S_game1]
  if [decision_asAgent_game1] of turtle 0 = 0 and [decision_asPrincipal_game1] of turtle 1 = 0   [
    ask turtle 0 [set payoff_asAgent_game1 P_game1]
    ask turtle 1 [set payoff_asPrincipal_game1 P_game1]
    set nrDD_game1 (nrDD_game1 + 1)
    set payoff_defection_game1 payoff_defection_game1  + P_game1 + P_game1]
 
  
  ;for game2 water company (turtle 0) as Principal - regulator (turtle 2) as Agent
  
  if [decision_asAgent_game2] of turtle 2 = 1 and [decision_asPrincipal_game2] of turtle 0 = 1   [ 
    ask turtle 2 [set payoff_asAgent_game2 R_game2]
    ask turtle 0 [set payoff_asPrincipal_game2 R_game2] 
    set nrCC_game2 (nrCC_game2 + 1)
    set payoff_cooperation_game2 payoff_cooperation_game2 + R_game2 + R_game2]
  if [decision_asAgent_game2] of turtle 2 = 0 and [decision_asPrincipal_game2] of turtle 0 = 1   [
    ask turtle 2 [set payoff_asAgent_game2 T_game2]
    ask turtle 0 [set payoff_asPrincipal_game2 S_game2]
    set nrDC_game2 (nrDC_game2 + 1)
    set payoff_defection_cooperation_game2 payoff_defection_cooperation_game2 + S_game2 + T_game2]
  if [decision_asAgent_game2] of turtle 2 = 1 and [decision_asPrincipal_game2] of turtle 0 = 0   [
    ask turtle 2 [set payoff_asAgent_game2 S_game2]
    ask turtle 0 [set payoff_asPrincipal_game2 T_game2]
    set nrCD_game2 (nrCD_game2 + 1)
    set payoff_cooperation_defection_game2 payoff_cooperation_defection_game2 + T_game2 + S_game2]
  if [decision_asAgent_game2] of turtle 2 = 0 and [decision_asPrincipal_game2] of turtle 0 = 0   [
    ask turtle 2 [set payoff_asAgent_game2 P_game2]
    ask turtle 0 [set payoff_asPrincipal_game2  P_game2]
    set nrDD_game2 (nrDD_game2 + 1)
    set payoff_defection_game2 payoff_defection_game2  + P_game2 + P_game2]
  
  
  ;for game3 regulator (turtle 2) as Agent - goverment (turtle 3) as Principal 
  
  
  if [decision_asAgent_game3] of turtle 2 = 1 and [decision_asPrincipal_game3] of turtle 3 = 1   [ 
    ask turtle 2 [set payoff_asAgent_game3 R_game3]
    ask turtle 3 [set payoff_asPrincipal_game3 R_game3] 
    set nrCC_game3 (nrCC_game3 + 1)
    set payoff_cooperation_game3 payoff_cooperation_game3 + R_game3 + R_game3]
  if [decision_asAgent_game3] of turtle 2 = 0 and [decision_asPrincipal_game3] of turtle 3 = 1   [
    ask turtle 2 [set payoff_asAgent_game3 T_game3]
    ask turtle 3 [set payoff_asPrincipal_game3 S_game3]
    set nrDC_game3 (nrDC_game3 + 1)
    set payoff_defection_cooperation_game3 payoff_defection_cooperation_game3 + S_game3 + T_game3]
  if [decision_asAgent_game3] of turtle 2 = 1 and [decision_asPrincipal_game3] of turtle 3 = 0   [
    ask turtle 2 [set payoff_asAgent_game3 S_game3]
    ask turtle 3 [set payoff_asPrincipal_game3 T_game3]
    set nrCD_game3 (nrCD_game3 + 1)
    set payoff_cooperation_defection_game3 payoff_cooperation_defection_game3 + T_game3 + S_game3]
  if [decision_asAgent_game3] of turtle 2 = 0 and [decision_asPrincipal_game3] of turtle 3 = 0   [
    ask turtle 2 [set payoff_asAgent_game3 P_game3]
    ask turtle 3 [set payoff_asPrincipal_game3 P_game3]
    set nrDD_game3 (nrDD_game3 + 1)
    set payoff_defection_game3 payoff_defection_game3  + P_game3 + P_game3]

  
  ;for game4 water company (turtle 0) as Principal -  municipality (turtle 4) as Agent
    
  
  if [decision_asAgent_game4] of turtle 4 = 1 and [decision_asPrincipal_game4] of turtle 0 = 1   [ 
    ask turtle 4 [set payoff_asAgent_game4 R_game4]
    ask turtle 0 [set payoff_asPrincipal_game4 R_game4] 
    set nrCC_game4 (nrCC_game4 + 1)
    set payoff_cooperation_game4 payoff_cooperation_game4 + R_game4 + R_game4]
  if [decision_asAgent_game4] of turtle 4 = 0 and [decision_asPrincipal_game4] of turtle 0 = 1   [
    ask turtle 4 [set payoff_asAgent_game4 T_game4]
    ask turtle 0 [set payoff_asPrincipal_game4 S_game4]
    set nrDC_game4 (nrDC_game4 + 1)
    set payoff_defection_cooperation_game4 payoff_defection_cooperation_game4 + S_game4 + T_game4]
  if [decision_asAgent_game4] of turtle 4 = 1 and [decision_asPrincipal_game4] of turtle 0 = 0   [
    ask turtle 4 [set payoff_asAgent_game4 S_game4]
    ask turtle 0 [set payoff_asPrincipal_game4 T_game4]
    set nrCD_game4 (nrCD_game4 + 1)
    set payoff_cooperation_defection_game4 payoff_cooperation_defection_game4 + T_game4 + S_game4]
  if [decision_asAgent_game4] of turtle 4 = 0 and [decision_asPrincipal_game4] of turtle 0 = 0   [
    ask turtle 4 [set payoff_asAgent_game4 P_game4]
    ask turtle 0 [set payoff_asPrincipal_game4 P_game4]
    set nrDD_game4 (nrDD_game4 + 1)
    set payoff_defection_game4 payoff_defection_game4  +  P_game4 + P_game4]
    
  ;; we set up accumulative payoffs per turtle
  set payoff_water_company_game1 payoff_water_company_game1 + [payoff_asAgent_game1] of turtle 0
  set payoff_water_company_game2 payoff_water_company_game2 + [payoff_asPrincipal_game2] of turtle 0
  set payoff_water_company_game4 payoff_water_company_game4 + [payoff_asPrincipal_game4] of turtle 0
  
  set payoff_users_game1 payoff_users_game1 + [payoff_asPrincipal_game1] of turtle 1
  
  set payoff_goverment_game3 payoff_goverment_game3 + [payoff_asPrincipal_game3] of turtle 3
  
  set payoff_regulator_game3 payoff_regulator_game3 + [payoff_asAgent_game3] of turtle 2
  set payoff_regulator_game2 payoff_regulator_game2 + [payoff_asAgent_game2] of turtle 2
  
  set payoff_municipality_game4 payoff_municipality_game4 + [payoff_asAgent_game4] of turtle 4
    
  ;; we set up acumulative payoffs per game     
  set payoff_game1 payoff_water_company_game1 + payoff_users_game1
  set payoff_game2 payoff_regulator_game2 + payoff_water_company_game2
  set payoff_game3 payoff_goverment_game3 + payoff_regulator_game3
  set payoff_game4 payoff_municipality_game4 + payoff_water_company_game4
  
  set total_payoff payoff_game1 + payoff_game2 + payoff_game3 + payoff_game4    
end

  
;;we set up average payoff of the neighbours per turtle
to-report avg_neighbors_payoff_turtle_0
  report (([payoff_asPrincipal_game1] of turtle 1 + [payoff_asAgent_game2] of turtle 2 + [payoff_asAgent_game4] of turtle 4) / 3)
end

to-report avg_neighbors_payoff_turtle_1
  report (([payoff_asAgent_game1] of turtle 0) / 1)
end

to-report avg_neighbors_payoff_turtle_2
  report (([payoff_asPrincipal_game3] of turtle 3 + [payoff_asPrincipal_game2] of turtle 0)/ 2)
end

to-report avg_neighbors_payoff_turtle_3
  report (([payoff_asAgent_game3] of turtle 2) / 1)
end

to-report avg_neighbors_payoff_turtle_4
  report (payoff_water_company_game4)
  report (([payoff_asPrincipal_game4] of turtle 4) / 1)
end


to update_probability  
    ifelse( [decision_asPrincipal_game1] of turtle 1 = 1)[ ; principal has played C -> increase expectation that principal plays C in future rounds
    ask turtle 0 [
      set EPC_game1 EPC_game1 + (1 - EPC_game1) * learning_capacity_water_company]]
    [ ; principal has played D -> decrease expectation that principal plays C in future rounds
      ask turtle 0[
        set EPC_game1 (1 - learning_capacity_water_company) * EPC_game1]]
  
  
      ifelse( [decision_asPrincipal_game2] of turtle 0 = 1)[ ; principal has played C -> increase expectation that principal plays C in future rounds
    ask turtle 2 [
      set EPC_game2 EPC_game2 + (1 - EPC_game2) * learning_capacity_regulator]]
    [ ; principal has played D -> decrease expectation that principal plays C in future rounds
      ask turtle 2[
        set EPC_game2 (1 - learning_capacity_regulator) * EPC_game2]]
  
  
      ifelse( [decision_asPrincipal_game3] of turtle 3 = 1)[ ; principal has played C -> increase expectation that principal plays C in future rounds
    ask turtle 2 [
      set EPC_game3 EPC_game3 + (1 - EPC_game3) * learning_capacity_goverment]]
    [ ; principal has played D -> decrease expectation that principal plays C in future rounds
      ask turtle 2[
        set EPC_game3 (1 - learning_capacity_goverment) * EPC_game3]]
  
  
      ifelse( [decision_asPrincipal_game4] of turtle 0 = 1)[ ; principal has played C -> increase expectation that principal plays C in future rounds
    ask turtle 4 [
      set EPC_game4 EPC_game4 + (1 - EPC_game4) * learning_capacity_municipality]]
    [ ; principal has played D -> decrease expectation that principal plays C in future rounds
      ask turtle 4[
        set EPC_game4 (1 - learning_capacity_municipality) * EPC_game4]]
end


to plotting; plotting of the strategies
  set-current-plot "payoff"
  
  set-current-plot-pen "water company"
  set payoff_water_company payoff_water_company + ([payoff_asAgent_game1] of turtle 0 + [payoff_asPrincipal_game2] of turtle 0 + [payoff_asPrincipal_game4] of turtle 0)
  plot payoff_water_company
  
  set-current-plot-pen "users"
  set payoff_users payoff_users + [payoff_asPrincipal_game1] of turtle 1
  plot payoff_users
  
  set-current-plot-pen "regulator"
  set payoff_regulator payoff_regulator + ([payoff_asAgent_game2] of turtle 2 + [payoff_asAgent_game3] of turtle 2)
  plot payoff_regulator 
  
  set-current-plot-pen "goverment"
  set payoff_goverment payoff_goverment + [payoff_asPrincipal_game3] of turtle 3  
  plot payoff_goverment
  
  set-current-plot-pen "municipality"
  set payoff_municipality payoff_municipality + [payoff_asAgent_game4] of turtle 4 
  plot payoff_municipality
 
 
  ;for game1 water company (turtle 0) as Agent - users (turtle 1) as Principals
    
  set-current-plot "management water company - users"
  set-current-plot-pen "CC"
  plot (payoff_cooperation_game1 )
  
  set-current-plot-pen "DD"
  plot (payoff_defection_game1  )
  
  set-current-plot-pen "CD"
  plot (payoff_cooperation_defection_game1  )
  
  set-current-plot-pen "DC"
  plot (payoff_defection_cooperation_game1  )
  
  
  ;for game2 water company (turtle 0) as Principal - regulator (turtle 2) as Agent
  
  set-current-plot "management regulator - water company"
  set-current-plot-pen "CC"
  plot (payoff_cooperation_game2 )
  
  set-current-plot-pen "DD"
  plot (payoff_defection_game2 )
   
  set-current-plot-pen "CD"
  plot (payoff_cooperation_defection_game2 )
   
  set-current-plot-pen "DC"
  plot (payoff_defection_cooperation_game2 )
  
  
  ;for game3 regulator (turtle 2) as Agent - goverment (turtle 3) as Principal 
  
  set-current-plot "management regulator - government"
  set-current-plot-pen "CC"
  plot (payoff_cooperation_game3 )
   
  set-current-plot-pen "DD"
  plot (payoff_defection_game3 )

  set-current-plot-pen "CD"
  plot (payoff_cooperation_defection_game3 )

  set-current-plot-pen "DC"
  plot (payoff_defection_cooperation_game3 )

 
  ;for game4 goverment (turtle 3) as Principal -  users (turtle 1) as Agent
  
  set-current-plot "management municipality - water company" 
  set-current-plot-pen "CC"
  plot (payoff_cooperation_game4 )
  
  set-current-plot-pen "DD"
  plot (payoff_defection_game4 )
  
  set-current-plot-pen "CD"
  plot (payoff_cooperation_defection_game4 )
  
  set-current-plot-pen "DC"
  plot (payoff_defection_cooperation_game4 )
end


to-report payoff_total
  report total_payoff
end





@#$#@#$#@
GRAPHICS-WINDOW
547
15
945
434
-1
-1
194.0
1
10
1
1
1
0
1
1
1
0
1
0
1
0
0
1
ticks

BUTTON
138
17
201
50
setup
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL

PLOT
1061
36
1358
199
payoff
NIL
NIL
0.0
12.0
0.0
15.0
true
true
PENS
"water company" 1.0 0 -13345367 true
"users" 1.0 0 -2674135 true
"regulator" 1.0 0 -1184463 true
"goverment" 1.0 0 -10899396 true
"municipality" 1.0 0 -955883 true

SLIDER
27
113
198
146
accountability_game1
accountability_game1
0
1
0.5
0.1
1
NIL
HORIZONTAL

SLIDER
28
166
198
199
participation_game1
participation_game1
0
1
1
0.1
1
NIL
HORIZONTAL

CHOOSER
505
483
756
528
initial_decision_asAgent_water_company_game1
initial_decision_asAgent_water_company_game1
1 0
1

SLIDER
27
217
200
250
social_cost_game1
social_cost_game1
0
0.5
0
0.1
1
NIL
HORIZONTAL

BUTTON
280
18
343
51
NIL
go
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL

BUTTON
209
17
272
50
NIL
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL

SLIDER
28
264
200
297
transparency_game1
transparency_game1
0
1
0.5
0.1
1
NIL
HORIZONTAL

SLIDER
121
552
331
585
learning_capacity_water_company
learning_capacity_water_company
0
1
1
0.1
1
NIL
HORIZONTAL

SLIDER
122
596
330
629
learning_capacity_users
learning_capacity_users
0
1
1
0.1
1
NIL
HORIZONTAL

CHOOSER
503
597
756
642
initial_decision_asAgent_goverment_game3
initial_decision_asAgent_goverment_game3
1 0
0

CHOOSER
503
538
756
583
initial_decision_asAgent_regulator_game2
initial_decision_asAgent_regulator_game2
1 0
0

SLIDER
120
643
333
676
learning_capacity_goverment
learning_capacity_goverment
0
1
1
0.1
1
NIL
HORIZONTAL

SLIDER
121
690
333
723
learning_capacity_regulator
learning_capacity_regulator
0
1
1
0.1
1
NIL
HORIZONTAL

SLIDER
27
349
199
382
accountability_game2
accountability_game2
0
1
0.5
0.1
1
NIL
HORIZONTAL

SLIDER
28
396
200
429
participation_game2
participation_game2
0
1
0.5
0.1
1
NIL
HORIZONTAL

TEXTBOX
42
83
192
101
game1 water company - users
11
0.0
1

TEXTBOX
689
450
917
478
rule of law =1      break rule of law = 0
11
0.0
1

TEXTBOX
34
319
230
347
game2 regulator - water company
11
0.0
1

SLIDER
29
444
201
477
social_cost_game2
social_cost_game2
0
0.5
0
0.1
1
NIL
HORIZONTAL

SLIDER
29
489
201
522
transparency_game2
transparency_game2
0
1
1
0.1
1
NIL
HORIZONTAL

SLIDER
250
116
422
149
accountability_game3
accountability_game3
0
1
0.5
0.1
1
NIL
HORIZONTAL

SLIDER
250
165
422
198
participation_game3
participation_game3
0
1
0.5
0.1
1
NIL
HORIZONTAL

SLIDER
250
214
422
247
social_cost_game3
social_cost_game3
0
0.5
0.5
0.1
1
NIL
HORIZONTAL

SLIDER
250
263
422
296
transparency_game3
transparency_game3
0
1
1
0.1
1
NIL
HORIZONTAL

TEXTBOX
264
88
414
106
game3 regulator - government
11
0.0
1

SLIDER
251
354
423
387
accountability_game4
accountability_game4
0
1
0.5
0.1
1
NIL
HORIZONTAL

SLIDER
251
401
423
434
participation_game4
participation_game4
0
1
1
0.1
1
NIL
HORIZONTAL

SLIDER
251
449
423
482
social_cost_game4
social_cost_game4
0
0.5
0.3
0.1
1
NIL
HORIZONTAL

SLIDER
251
493
423
526
transparency_game4
transparency_game4
0
1
0.5
0.1
1
NIL
HORIZONTAL

TEXTBOX
266
322
416
350
game4 municipality - water company\n
11
0.0
1

MONITOR
1128
862
1299
907
payoff_total
payoff_total
17
1
11

PLOT
1061
691
1363
839
management water company - users
NIL
NIL
0.0
12.0
0.0
26.0
true
true
PENS
"CC" 1.0 0 -13345367 true
"DD" 1.0 0 -2674135 true
"CD" 1.0 0 -10899396 true
"DC" 1.0 0 -1184463 true

PLOT
1060
210
1359
358
management regulator - water company
NIL
NIL
0.0
12.0
0.0
26.0
true
true
PENS
"CC" 1.0 0 -13345367 true
"DD" 1.0 0 -2674135 true
"CD" 1.0 0 -10899396 true
"DC" 1.0 0 -1184463 true

PLOT
1060
530
1362
680
management regulator - government
NIL
NIL
0.0
12.0
0.0
26.0
true
true
PENS
"CC" 1.0 0 -13345367 true
"DD" 1.0 0 -2674135 true
"CD" 1.0 0 -10899396 true
"DC" 1.0 0 -1184463 true

PLOT
1060
368
1360
518
management municipality - water company
NIL
NIL
0.0
12.0
0.0
26.0
true
true
PENS
"CC" 1.0 0 -13345367 true
"DD" 1.0 0 -2674135 true
"CD" 1.0 0 -10899396 true
"DC" 1.0 0 -1184463 true

CHOOSER
503
654
757
699
initial_decision_asAgent_municipality_game4
initial_decision_asAgent_municipality_game4
1 0
0

SLIDER
121
735
335
768
learning_capacity_municipality
learning_capacity_municipality
0
1
1
0.1
1
NIL
HORIZONTAL

CHOOSER
771
539
1026
584
initial_decision_asPrincipal_water_company_game2
initial_decision_asPrincipal_water_company_game2
1 0
1

CHOOSER
769
482
1022
527
initial_decision_asPrincipal_users_game1
initial_decision_asPrincipal_users_game1
1 0
1

CHOOSER
770
597
1027
642
initial_decision_asPrincipal_regulator_game3
initial_decision_asPrincipal_regulator_game3
1 0
0

CHOOSER
772
652
1026
697
initial_decision_asPrincipal_water_company_game4
initial_decision_asPrincipal_water_company_game4
1 0
1

@#$#@#$#@
WHAT IS IT? 
--------------

The model represents the main actors of the water service delivery in Kenya and Ghana and the integrity (transparency, accountability, participation) of their relationships, associated social cost/gain, resulting management practices and performance. 



HOW IT WORKS? 
--------------

Actors of the water service delivery in Kenya and Ghana relate to each other by a transaction that in the model is represented in the form of a game based on the principal-agent theory. An actor can play as an agent offering a service or as a principal paying a return to the agent. The payoff derives from the different values of transparency, accountability, participation and social cost or gain of the transaction which are defined as follows:

Transparency: Existence of clear written rules and regulations defining relationships between actors.

Accountability: Availability and application of control mechanisms for holding actors responsible for their actions based on the rules and regulations.

Participation: Accessibility of information to third parties with a possibility to influence the outcome of the relationship.

Social cost/gain: Social value lost or gained by the parties in the relationship

Actors can cooperate (C) or defeat (D) based on a bounded-rational decision with agent acting first and principal second. Agent can learn from previous principals decisions. Actors can simultaneously play as agent and principal in different games. Actors relationships thus constitute a social network.  

The different combinations of decisions are interpreted as different management practices, namely ethical management (CC), pragmatic management (Cd or DC) and opportunistic management (DD). The results show the total and actors payoffs and the different management practices for each transaction.



HOW TO USE IT?
--------------

The model is implemented in Netlogo version 4.1.3 (Wilensky, 1999). To run the model, install the free software Netlogo (http://ccl.northwestern.edu/netlogo) on your computer and open the file.

SETUP-button: Creates the agents.

GO-button: Starts the model running.

SLIDER-buttons: Change leaning capacity, initial decisions, transparency, accountability participation and social cost/gain values. 



THINGS TO NOTICE?
--------------

The learning capacity of the agents seems to have an influence only in a few very specific cases because the learning that is triggered through the coupling between the games seems not to be relevant.



THINGS TO TRY?
--------------

What are the payoffs when the initial decisions or the learning capacities change? 

How do management practices change when the values of transparency, accountability, participation change?

Do the social networks of Kenya and Ghana influence management practices and actors payoffs?



EXTENDING THE MODEL
--------------

The model has been designed to learn about the relation between integrity variables, social cost/gain, management practices and performance in water service delivery in Kenya and Ghana but it can be also used as a decision support tool. The model can be also applied to other location by changing or adding actors and relationships.


RELATED MODELS
--------------

Janssen, M.A. (2008). Evolution of cooperation in a one-shot Prisoners Dilemma based on recognition of trustworthy and untrustworthy agents.  Journal of Economic Behavior & Organization, Vol. 65, pp. 458471.

Power, C. (2009). A Spatial Agent-Based Model of N-Person Prisoner's Dilemma. Cooperation in a Socio-Geographic Community. Journal of Artificial Societies and Social Simulation, Vol. 12, No. 18. 


CREDITS AND REFERENCES
----------------------
Bellaubi, F., Holtz, G., Pahl-Wostl, C. (2014). An agent-based model to identify management practices, integrity and performance in Kenyas and Ghanas Water Service Delivery. CoMSES Computational Model Library. Accessed 05.06.2014 Source: http://www.openabm.org 


This work is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License. To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-sa/4.0/ 
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
0
Rectangle -7500403 true true 151 225 180 285
Rectangle -7500403 true true 47 225 75 285
Rectangle -7500403 true true 15 75 210 225
Circle -7500403 true true 135 75 150
Circle -16777216 true false 165 76 116

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 4.1.3
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
<experiments>
  <experiment name="game1" repetitions="1" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="13"/>
    <metric>mean [payoff_game1] of turtles</metric>
    <metric>mean [payoff_water_company_game1] of turtles</metric>
    <metric>mean [payoff_users_game1] of turtles</metric>
    <steppedValueSet variable="learning_capacity_water_company" first="0" step="0.2" last="1"/>
    <steppedValueSet variable="learning_capacity_users" first="0" step="0.2" last="1"/>
  </experiment>
  <experiment name="game2" repetitions="1" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="13"/>
    <metric>mean [payoff_game2] of turtles</metric>
    <metric>mean [payoff_water_company_game2] of turtles</metric>
    <metric>mean [payoff_regulator_game2] of turtles</metric>
    <steppedValueSet variable="learning_capacity_water_company" first="0" step="0.2" last="1"/>
    <steppedValueSet variable="learning_capacity_regulator" first="0" step="0.2" last="1"/>
  </experiment>
  <experiment name="game3" repetitions="1" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="13"/>
    <metric>mean [payoff_game3] of turtles</metric>
    <metric>mean [payoff_regulator_game3] of turtles</metric>
    <metric>mean [payoff_goverment_game3] of turtles</metric>
    <steppedValueSet variable="learning_capacity_regulator" first="0" step="0.2" last="1"/>
    <steppedValueSet variable="learning_capacity_goverment" first="0" step="0.2" last="1"/>
  </experiment>
  <experiment name="game4" repetitions="1" runMetricsEveryStep="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit steps="13"/>
    <metric>mean [payoff_game4] of turtles</metric>
    <metric>mean [payoff_water_company_game4] of turtles</metric>
    <metric>mean [payoff_municipality_game4] of turtles</metric>
    <steppedValueSet variable="learning_capacity_water_company" first="0" step="0.2" last="1"/>
    <steppedValueSet variable="learning_capacity_municipality" first="0" step="0.2" last="1"/>
  </experiment>
</experiments>
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 1.0 0.0
0.0 1 1.0 0.0
0.2 0 1.0 0.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
